<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:39 CET 2016 -->
<title>TimeoutConstants (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TimeoutConstants (QA API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/openbravo/test/integration/erp/common/TestFiles.html" title="class in com.openbravo.test.integration.erp.common"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/openbravo/test/integration/erp/common/TimeoutConstants.html" target="_top">Frames</a></li>
<li><a href="TimeoutConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.common</div>
<h2 title="Class TimeoutConstants" class="title">Class TimeoutConstants</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.common.TimeoutConstants</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TimeoutConstants</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Constants used to wait for elements or conditions.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#DELETE_CLIENT_TIMEOUT">DELETE_CLIENT_TIMEOUT</a></span></code>
<div class="block">Timeout in milliseconds, after which a client deletion will return an error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#GL_POSTING_BY_DB_TABLES_TIMEOUT">GL_POSTING_BY_DB_TABLES_TIMEOUT</a></span></code>
<div class="block">Timeout in milliseconds, after which a GL Posting by DB Tables will return an error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#INITIAL_ORGANIZATION_SETUP_TIMEOUT">INITIAL_ORGANIZATION_SETUP_TIMEOUT</a></span></code>
<div class="block">Timeout in milliseconds, after which a Initial Organization Setup will return an error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#LOGGING_TIMEOUT">LOGGING_TIMEOUT</a></span></code>
<div class="block">Timeout in seconds, after which a page load will return an error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#MODULE_LOAD_TIMEOUT">MODULE_LOAD_TIMEOUT</a></span></code>
<div class="block">Timeout in milliseconds, after which the page that downloads modules will return an error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#OPEN_PAGE_TIMEOUT">OPEN_PAGE_TIMEOUT</a></span></code>
<div class="block">Timeout in milliseconds, after which an open command will return an error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#PAGE_LOAD_TIMEOUT">PAGE_LOAD_TIMEOUT</a></span></code>
<div class="block">Timeout in seconds, after which a page load will return an error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#REBUILD_TIMEOUT">REBUILD_TIMEOUT</a></span></code>
<div class="block">Timeout in seconds, after which a system rebuild will return an error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#RESTART_SERVLET_CONTAINER_TIMEOUT">RESTART_SERVLET_CONTAINER_TIMEOUT</a></span></code>
<div class="block">Timeout in seconds, after which a servlet container restart will return an error.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/openbravo/test/integration/erp/common/TimeoutConstants.html#TimeoutConstants--">TimeoutConstants</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="OPEN_PAGE_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPEN_PAGE_TIMEOUT</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> OPEN_PAGE_TIMEOUT</pre>
<div class="block">Timeout in milliseconds, after which an open command will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.OPEN_PAGE_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PAGE_LOAD_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAGE_LOAD_TIMEOUT</h4>
<pre>public static final&nbsp;long PAGE_LOAD_TIMEOUT</pre>
<div class="block">Timeout in seconds, after which a page load will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.PAGE_LOAD_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MODULE_LOAD_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MODULE_LOAD_TIMEOUT</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> MODULE_LOAD_TIMEOUT</pre>
<div class="block">Timeout in milliseconds, after which the page that downloads modules will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.MODULE_LOAD_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOGGING_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOGGING_TIMEOUT</h4>
<pre>public static final&nbsp;long LOGGING_TIMEOUT</pre>
<div class="block">Timeout in seconds, after which a page load will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.LOGGING_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DELETE_CLIENT_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DELETE_CLIENT_TIMEOUT</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DELETE_CLIENT_TIMEOUT</pre>
<div class="block">Timeout in milliseconds, after which a client deletion will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.DELETE_CLIENT_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GL_POSTING_BY_DB_TABLES_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GL_POSTING_BY_DB_TABLES_TIMEOUT</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GL_POSTING_BY_DB_TABLES_TIMEOUT</pre>
<div class="block">Timeout in milliseconds, after which a GL Posting by DB Tables will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.GL_POSTING_BY_DB_TABLES_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INITIAL_ORGANIZATION_SETUP_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INITIAL_ORGANIZATION_SETUP_TIMEOUT</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> INITIAL_ORGANIZATION_SETUP_TIMEOUT</pre>
<div class="block">Timeout in milliseconds, after which a Initial Organization Setup will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.INITIAL_ORGANIZATION_SETUP_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REBUILD_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REBUILD_TIMEOUT</h4>
<pre>public static final&nbsp;long REBUILD_TIMEOUT</pre>
<div class="block">Timeout in seconds, after which a system rebuild will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.REBUILD_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTART_SERVLET_CONTAINER_TIMEOUT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RESTART_SERVLET_CONTAINER_TIMEOUT</h4>
<pre>public static final&nbsp;long RESTART_SERVLET_CONTAINER_TIMEOUT</pre>
<div class="block">Timeout in seconds, after which a servlet container restart will return an error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#com.openbravo.test.integration.erp.common.TimeoutConstants.RESTART_SERVLET_CONTAINER_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TimeoutConstants--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TimeoutConstants</h4>
<pre>public&nbsp;TimeoutConstants()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/openbravo/test/integration/erp/common/TestFiles.html" title="class in com.openbravo.test.integration.erp.common"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/openbravo/test/integration/erp/common/TimeoutConstants.html" target="_top">Frames</a></li>
<li><a href="TimeoutConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
